Skip to main content

Upgrade Volume

Notes:

  • The volume must be attached to a node before it can be upgraded.
  • Volume cannot be upgraded when there exists a snapshot. Either delete the snapshot and then upgrade, or use the snapshot to create a new volume.
PUT/block_storage/{block_id}/vm/upgrade/

Path parameters

  • block_idPathstringrequired

    Block ID

Query parameters

Request body

application/json

object
vm_idintegerrequired

ID of the virtual machine the volume is attached to.

example11584
block_storage_sizeintegerrequired

New size of the block storage in GB.

example300
namestringrequired

Updated name for the block storage.

exampleV_100GB_200

Responses

200A successful response indicating block storage has been upgraded
object
codeinteger

Response status code

example200
dataobject
errorsobject

Any errors that occurred during the operation (if applicable)

messagestring

Response message indicating the operation result

exampleBlock Storage is upgraded.